Package ghidra.app.plugin.assembler.sleigh.sem

# Class AbstractAssemblyResolutionFactory.AssemblyResolvedErrorBuilder

java.lang.Object
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<AbstractAssemblyResolutionFactory<RP,BF>.AssemblyResolvedErrorBuilder,AssemblyResolvedError>
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AssemblyResolvedErrorBuilder

Enclosing class:
  `AbstractAssemblyResolutionFactory<RP extends AssemblyResolvedPatterns,BF extends AssemblyResolvedBackfill>`

public class AbstractAssemblyResolutionFactory.AssemblyResolvedErrorBuilder extends AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<AbstractAssemblyResolutionFactory<RP,BF>.AssemblyResolvedErrorBuilder,AssemblyResolvedError>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `error`

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder

  `children, description, right`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssemblyResolvedErrorBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssemblyResolvedError`
  `build()`
  `AbstractAssemblyResolutionFactory<RP,BF>.AssemblyResolvedErrorBuilder`
  `error(String error)`

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder

  `children, copyFromDefault, description, right, self`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### error

    protected String error

- ## Constructor Details

  - ### AssemblyResolvedErrorBuilder

    public AssemblyResolvedErrorBuilder()

- ## Method Details

  - ### error

    public AbstractAssemblyResolutionFactory<RP,BF>.AssemblyResolvedErrorBuilder error(String error)

  - ### build

    public AssemblyResolvedError build()
    Specified by:
      `build` in class `AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<AbstractAssemblyResolutionFactory<RP extends AssemblyResolvedPatterns,BF extends AssemblyResolvedBackfill>.AssemblyResolvedErrorBuilder,AssemblyResolvedError>`